Installation

Having trouble installing Group-Office? No worries. Help is on the way.

Moderator: Developers

max450
Posts: 2
Joined: Tue Apr 16, 2013 6:12 am

Installation

Postby max450 » Tue Apr 16, 2013 6:30 am

Trying to install Group-Office V4.1 on our webserver - ran the test script with following results.

Group-Office test script
Magic quotes setting : Warning: magic_quotes_gpc is enabled. You will get better performance if you disable this setting.
Register globals : Warning: register_globals is enabled in php.ini. This causes a problem in the spell checker and probably in some other parts. It's recommended to disable this.
libwbxml : Warning: libwbxml2 is not installed. Synchronization will not work!
TNEF : Warning: tnef is not installed or not executable. you can't view winmail.dat attachments in the email module.

Passed! Group-Office should run on this machine

However when I try to install I get the following.

Thank you for installing Group-Office!
This page checks if your system meets the requirements to run Group-Office.

If this page prints errors or warnings, please visit this page for more information: http://www.group-office.com/wiki/Installation

System test
Fatal error: Your PHP version is too old to run Group-Office. PHP 5.3 or higher is required
...........>
Fatal errors occured. Group-Office will not run properly with current system setup!

The webserver is linux - with MySql 5 and Php 5.3
Apologies if all this sounds dumb but I am new to Group Office so any help would be appreciated.
mschering
Site Admin
Site Admin
Posts: 8154
Joined: Tue Apr 20, 2004 1:06 pm
Location: The Netherlands - Den Bosch
Contact:

Re: Installation

Postby mschering » Tue Apr 16, 2013 9:53 am

According to the system tests it's running a version older than 5.3.
Best regards,

Merijn Schering
Intermesh
max450
Posts: 2
Joined: Tue Apr 16, 2013 6:12 am

Re: Installation

Postby max450 » Tue Apr 16, 2013 12:15 pm

Hi,
thank you for the prompt reply.
The web hosting service (quadra hosting) assures me that they are running php 5.3.
mschering
Site Admin
Site Admin
Posts: 8154
Joined: Tue Apr 20, 2004 1:06 pm
Location: The Netherlands - Den Bosch
Contact:

Re: Installation

Postby mschering » Wed Apr 17, 2013 9:53 am

The script calls this PHP function:

version_compare( phpversion(), "5.3", ">=")

That should not fail on your machine.
Best regards,



Merijn Schering

Intermesh
grooff
Posts: 14
Joined: Sat May 07, 2016 2:54 pm

Re: Installation

Postby grooff » Sat May 07, 2016 3:42 pm

Hi, I am new to using Group Office and is constantly trying to learn how to use it. Anyway to fix the "libwbxml: Warning: libwbxml2 is not installed. SyncML sync will not work!" error here what I learn.

During installation of Group Office you are require to create this file "config.php"
The files will start to include setting and data as you install Group Office. During the installation check one of the error I usually get is "libwbxml: Warning: libwbxml2 is not installed. SyncML sync will not work!"
Reading the Wiki it state that libwbxml2 is included in Win32, it is not from the version I was using: groupoffice-com-6.2.3.tar.gz

So I search for this libwbxml and from two type: the first is: https://sourceforge.net/projects/wbxmllib/ it old project that stop in 2013 from the look of it, their website is dead also.
The other version was: https://github.com/libwbxml/libwbxml/tree/master/win32 which project seem to be alive however look under https://github.com/libwbxml/libwbxml/tr ... /xml2wbxml it have an xml2wbxml.dsp not an xml2wbxml.exe like Group Office wanted (see config.php). So I thought, maybe I can just rename that to xml2wbxml.exe and Group Office will work. And using the groupoffice/install, it did say,

libwbxml: "OK" so it seem to pass the test, but I was not sure if there will be a problem in the future. So for the time being I will use https://sourceforge.net/projects/wbxmllib version where it include the .exe files. Based on the config.php you will need to put these 2 exe files here.

\groupoffice-com-6.2.3\controls\win32\libwbxml2

Note: \groupoffice-com-6.2.3\ might differ for your installation.

Return to “Installation”

Who is online

Users browsing this forum: No registered users and 2 guests

cron